diff --git a/src/config/config_def.c b/src/config/config_def.c
index 8894ff6cd..bb88c8d28 100644
--- a/src/config/config_def.c
+++ b/src/config/config_def.c
@@ -1078,61 +1407,92 @@ static const WT_CONFIG_CHECK confchk_wiredtiger_open_basecfg[] = {
     "\"shared_cache\",\"split\",\"temporary\",\"thread_group\","
     "\"tiered\",\"timestamp\",\"transaction\",\"verify\",\"version\","
     "\"write\"]",
-    NULL, 0},
-  {"verify_metadata", "boolean", NULL, NULL, NULL, 0}, {"version", "string", NULL, NULL, NULL, 0},
-  {"write_through", "list", NULL, "choices=[\"data\",\"log\"]", NULL, 0},
-  {NULL, NULL, NULL, NULL, NULL, 0}};
+    NULL, 0, WT_CONFIG_COMPILED_TYPE_LIST, 51},
+  {"verify_metadata", "boolean", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_BOOLEAN, 52},
+  {"version", "string", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_STRING, 53},
+  {"write_through", "list", NULL, "choices=[\"data\",\"log\"]", NULL, 0,
+    WT_CONFIG_COMPILED_TYPE_LIST, 54},
+  {NULL, NULL, NULL, NULL, NULL, 0, 0, 0}};
 
 static const WT_CONFIG_CHECK confchk_wiredtiger_open_usercfg[] = {
-  {"block_cache", "category", NULL, NULL, confchk_wiredtiger_open_block_cache_subconfigs, 12},
-  {"buffer_alignment", "int", NULL, "min=-1,max=1MB", NULL, 0},
-  {"builtin_extension_config", "string", NULL, NULL, NULL, 0},
-  {"cache_cursors", "boolean", NULL, NULL, NULL, 0},
-  {"cache_max_wait_ms", "int", NULL, "min=0", NULL, 0},
-  {"cache_overhead", "int", NULL, "min=0,max=30", NULL, 0},
-  {"cache_size", "int", NULL, "min=1MB,max=10TB", NULL, 0},
-  {"checkpoint", "category", NULL, NULL, confchk_wiredtiger_open_checkpoint_subconfigs, 2},
-  {"checkpoint_sync", "boolean", NULL, NULL, NULL, 0},
-  {"compatibility", "category", NULL, NULL, confchk_wiredtiger_open_compatibility_subconfigs, 3},
-  {"debug_mode", "category", NULL, NULL, confchk_wiredtiger_open_debug_mode_subconfigs, 10},
-  {"direct_io", "list", NULL, "choices=[\"checkpoint\",\"data\",\"log\"]", NULL, 0},
-  {"encryption", "category", NULL, NULL, confchk_wiredtiger_open_encryption_subconfigs, 3},
-  {"error_prefix", "string", NULL, NULL, NULL, 0},
-  {"eviction", "category", NULL, NULL, confchk_wiredtiger_open_eviction_subconfigs, 2},
-  {"eviction_checkpoint_target", "int", NULL, "min=0,max=10TB", NULL, 0},
-  {"eviction_dirty_target", "int", NULL, "min=1,max=10TB", NULL, 0},
-  {"eviction_dirty_trigger", "int", NULL, "min=1,max=10TB", NULL, 0},
-  {"eviction_target", "int", NULL, "min=10,max=10TB", NULL, 0},
-  {"eviction_trigger", "int", NULL, "min=10,max=10TB", NULL, 0},
-  {"eviction_updates_target", "int", NULL, "min=0,max=10TB", NULL, 0},
-  {"eviction_updates_trigger", "int", NULL, "min=0,max=10TB", NULL, 0},
-  {"extensions", "list", NULL, NULL, NULL, 0}, {"file_close_sync", "boolean", NULL, NULL, NULL, 0},
-  {"file_extend", "list", NULL, "choices=[\"data\",\"log\"]", NULL, 0},
-  {"file_manager", "category", NULL, NULL, confchk_wiredtiger_open_file_manager_subconfigs, 3},
-  {"hash", "category", NULL, NULL, confchk_wiredtiger_open_hash_subconfigs, 2},
-  {"hazard_max", "int", NULL, "min=15", NULL, 0},
-  {"history_store", "category", NULL, NULL, confchk_wiredtiger_open_history_store_subconfigs, 1},
-  {"io_capacity", "category", NULL, NULL, confchk_wiredtiger_open_io_capacity_subconfigs, 1},
-  {"json_output", "list", NULL, "choices=[\"error\",\"message\"]", NULL, 0},
-  {"log", "category", NULL, NULL, confchk_wiredtiger_open_log_subconfigs, 10},
-  {"lsm_manager", "category", NULL, NULL, confchk_wiredtiger_open_lsm_manager_subconfigs, 2},
-  {"mmap", "boolean", NULL, NULL, NULL, 0}, {"mmap_all", "boolean", NULL, NULL, NULL, 0},
-  {"multiprocess", "boolean", NULL, NULL, NULL, 0},
-  {"operation_timeout_ms", "int", NULL, "min=0", NULL, 0},
+  {"block_cache", "category", NULL, NULL, confchk_wiredtiger_open_block_cache_subconfigs, 12,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 0},
+  {"buffer_alignment", "int", NULL, "min=-1,max=1MB", NULL, 0, WT_CONFIG_COMPILED_TYPE_INT, 1},
+  {"builtin_extension_config", "string", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_STRING, 2},
+  {"cache_cursors", "boolean", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_BOOLEAN, 3},
+  {"cache_max_wait_ms", "int", NULL, "min=0", NULL, 0, WT_CONFIG_COMPILED_TYPE_INT, 4},
+  {"cache_overhead", "int", NULL, "min=0,max=30", NULL, 0, WT_CONFIG_COMPILED_TYPE_INT, 5},
+  {"cache_size", "int", NULL, "min=1MB,max=10TB", NULL, 0, WT_CONFIG_COMPILED_TYPE_INT, 6},
+  {"checkpoint", "category", NULL, NULL, confchk_wiredtiger_open_checkpoint_subconfigs, 2,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 7},
+  {"checkpoint_sync", "boolean", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_BOOLEAN, 8},
+  {"compatibility", "category", NULL, NULL, confchk_wiredtiger_open_compatibility_subconfigs, 3,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 9},
+  {"compile_configuration_count", "string", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_STRING,
+    10},
+  {"debug_mode", "category", NULL, NULL, confchk_wiredtiger_open_debug_mode_subconfigs, 10,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 11},
+  {"direct_io", "list", NULL, "choices=[\"checkpoint\",\"data\",\"log\"]", NULL, 0,
+    WT_CONFIG_COMPILED_TYPE_LIST, 12},
+  {"encryption", "category", NULL, NULL, confchk_wiredtiger_open_encryption_subconfigs, 3,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 13},
+  {"error_prefix", "string", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_STRING, 14},
+  {"eviction", "category", NULL, NULL, confchk_wiredtiger_open_eviction_subconfigs, 2,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 15},
+  {"eviction_checkpoint_target", "int", NULL, "min=0,max=10TB", NULL, 0,
+    WT_CONFIG_COMPILED_TYPE_INT, 16},
+  {"eviction_dirty_target", "int", NULL, "min=1,max=10TB", NULL, 0, WT_CONFIG_COMPILED_TYPE_INT,
+    17},
+  {"eviction_dirty_trigger", "int", NULL, "min=1,max=10TB", NULL, 0, WT_CONFIG_COMPILED_TYPE_INT,
+    18},
+  {"eviction_target", "int", NULL, "min=10,max=10TB", NULL, 0, WT_CONFIG_COMPILED_TYPE_INT, 19},
+  {"eviction_trigger", "int", NULL, "min=10,max=10TB", NULL, 0, WT_CONFIG_COMPILED_TYPE_INT, 20},
+  {"eviction_updates_target", "int", NULL, "min=0,max=10TB", NULL, 0, WT_CONFIG_COMPILED_TYPE_INT,
+    21},
+  {"eviction_updates_trigger", "int", NULL, "min=0,max=10TB", NULL, 0, WT_CONFIG_COMPILED_TYPE_INT,
+    22},
+  {"extensions", "list", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_LIST, 23},
+  {"file_close_sync", "boolean", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_BOOLEAN, 24},
+  {"file_extend", "list", NULL, "choices=[\"data\",\"log\"]", NULL, 0, WT_CONFIG_COMPILED_TYPE_LIST,
+    25},
+  {"file_manager", "category", NULL, NULL, confchk_wiredtiger_open_file_manager_subconfigs, 3,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 26},
+  {"hash", "category", NULL, NULL, confchk_wiredtiger_open_hash_subconfigs, 2,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 27},
+  {"hazard_max", "int", NULL, "min=15", NULL, 0, WT_CONFIG_COMPILED_TYPE_INT, 28},
+  {"history_store", "category", NULL, NULL, confchk_wiredtiger_open_history_store_subconfigs, 1,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 29},
+  {"io_capacity", "category", NULL, NULL, confchk_wiredtiger_open_io_capacity_subconfigs, 1,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 30},
+  {"json_output", "list", NULL, "choices=[\"error\",\"message\"]", NULL, 0,
+    WT_CONFIG_COMPILED_TYPE_LIST, 31},
+  {"log", "category", NULL, NULL, confchk_wiredtiger_open_log_subconfigs, 10,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 32},
+  {"lsm_manager", "category", NULL, NULL, confchk_wiredtiger_open_lsm_manager_subconfigs, 2,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 33},
+  {"mmap", "boolean", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_BOOLEAN, 34},
+  {"mmap_all", "boolean", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_BOOLEAN, 35},
+  {"multiprocess", "boolean", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_BOOLEAN, 36},
+  {"operation_timeout_ms", "int", NULL, "min=0", NULL, 0, WT_CONFIG_COMPILED_TYPE_INT, 37},
   {"operation_tracking", "category", NULL, NULL,
-    confchk_wiredtiger_open_operation_tracking_subconfigs, 2},
-  {"readonly", "boolean", NULL, NULL, NULL, 0}, {"salvage", "boolean", NULL, NULL, NULL, 0},
-  {"session_max", "int", NULL, "min=1", NULL, 0},
-  {"session_scratch_max", "int", NULL, NULL, NULL, 0},
-  {"session_table_cache", "boolean", NULL, NULL, NULL, 0},
-  {"shared_cache", "category", NULL, NULL, confchk_wiredtiger_open_shared_cache_subconfigs, 5},
+    confchk_wiredtiger_open_operation_tracking_subconfigs, 2, WT_CONFIG_COMPILED_TYPE_CATEGORY, 38},
+  {"readonly", "boolean", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_BOOLEAN, 39},
+  {"salvage", "boolean", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_BOOLEAN, 40},
+  {"session_max", "int", NULL, "min=1", NULL, 0, WT_CONFIG_COMPILED_TYPE_INT, 41},
+  {"session_scratch_max", "int", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_INT, 42},
+  {"session_table_cache", "boolean", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_BOOLEAN, 43},
+  {"shared_cache", "category", NULL, NULL, confchk_wiredtiger_open_shared_cache_subconfigs, 5,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 44},
   {"statistics", "list", NULL,
     "choices=[\"all\",\"cache_walk\",\"fast\",\"none\","
     "\"clear\",\"tree_walk\"]",
-    NULL, 0},
-  {"statistics_log", "category", NULL, NULL, confchk_wiredtiger_open_statistics_log_subconfigs, 6},
-  {"tiered_manager", "category", NULL, NULL, confchk_tiered_manager_subconfigs, 3},
-  {"tiered_storage", "category", NULL, NULL, confchk_tiered_storage_subconfigs, 7},
+    NULL, 0, WT_CONFIG_COMPILED_TYPE_LIST, 45},
+  {"statistics_log", "category", NULL, NULL, confchk_wiredtiger_open_statistics_log_subconfigs, 6,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 46},
+  {"tiered_manager", "category", NULL, NULL, confchk_tiered_manager_subconfigs, 3,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 47},
+  {"tiered_storage", "category", NULL, NULL, confchk_tiered_storage_subconfigs, 7,
+    WT_CONFIG_COMPILED_TYPE_CATEGORY, 48},
   {"timing_stress_for_test", "list", NULL,
     "choices=[\"aggressive_sweep\",\"backup_rename\","
     "\"checkpoint_reserved_txnid_delay\",\"checkpoint_slow\","
@@ -1141,9 +1501,9 @@ static const WT_CONFIG_CHECK confchk_wiredtiger_open_usercfg[] = {
     "\"history_store_sweep_race\",\"prepare_checkpoint_delay\","
     "\"split_1\",\"split_2\",\"split_3\",\"split_4\",\"split_5\","
     "\"split_6\",\"split_7\",\"tiered_flush_finish\"]",
-    NULL, 0},
+    NULL, 0, WT_CONFIG_COMPILED_TYPE_LIST, 49},
   {"transaction_sync", "category", NULL, NULL, confchk_wiredtiger_open_transaction_sync_subconfigs,
-    2},
+    2, WT_CONFIG_COMPILED_TYPE_CATEGORY, 50},
   {"verbose", "list", NULL,
     "choices=[\"api\",\"backup\",\"block\",\"block_cache\","
     "\"checkpoint\",\"checkpoint_cleanup\",\"checkpoint_progress\","
@@ -1156,30 +1516,36 @@ static const WT_CONFIG_CHECK confchk_wiredtiger_open_usercfg[] = {
     "\"shared_cache\",\"split\",\"temporary\",\"thread_group\","
     "\"tiered\",\"timestamp\",\"transaction\",\"verify\",\"version\","
     "\"write\"]",
-    NULL, 0},
-  {"verify_metadata", "boolean", NULL, NULL, NULL, 0},
-  {"write_through", "list", NULL, "choices=[\"data\",\"log\"]", NULL, 0},
-  {NULL, NULL, NULL, NULL, NULL, 0}};
-
-static const WT_CONFIG_ENTRY config_entries[] = {{"WT_CONNECTION.add_collator", "", NULL, 0},
-  {"WT_CONNECTION.add_compressor", "", NULL, 0}, {"WT_CONNECTION.add_data_source", "", NULL, 0},
-  {"WT_CONNECTION.add_encryptor", "", NULL, 0}, {"WT_CONNECTION.add_extractor", "", NULL, 0},
-  {"WT_CONNECTION.add_storage_source", "", NULL, 0},
-  {"WT_CONNECTION.close", "leak_memory=false,use_timestamp=true", confchk_WT_CONNECTION_close, 2},
+    NULL, 0, WT_CONFIG_COMPILED_TYPE_LIST, 51},
+  {"verify_metadata", "boolean", NULL, NULL, NULL, 0, WT_CONFIG_COMPILED_TYPE_BOOLEAN, 52},
+  {"write_through", "list", NULL, "choices=[\"data\",\"log\"]", NULL, 0,
+    WT_CONFIG_COMPILED_TYPE_LIST, 53},
+  {NULL, NULL, NULL, NULL, NULL, 0, 0, 0}};
+
+static const WT_CONFIG_ENTRY config_entries[] = {
+  {"WT_CONNECTION.add_collator", "", NULL, 0, 1, false},
+  {"WT_CONNECTION.add_compressor", "", NULL, 0, 2, false},
+  {"WT_CONNECTION.add_data_source", "", NULL, 0, 3, false},
+  {"WT_CONNECTION.add_encryptor", "", NULL, 0, 4, false},
+  {"WT_CONNECTION.add_extractor", "", NULL, 0, 5, false},
+  {"WT_CONNECTION.add_storage_source", "", NULL, 0, 6, false},
+  {"WT_CONNECTION.close", "leak_memory=false,use_timestamp=true", confchk_WT_CONNECTION_close, 2, 7,
+    false},
   {"WT_CONNECTION.debug_info",
     "cache=false,cursors=false,handles=false,log=false,sessions=false"
     ",txn=false",
-    confchk_WT_CONNECTION_debug_info, 6},
+    confchk_WT_CONNECTION_debug_info, 6, 8, false},
   {"WT_CONNECTION.load_extension",
     "config=,early_load=false,entry=wiredtiger_extension_init,"
     "terminate=wiredtiger_extension_terminate",
-    confchk_WT_CONNECTION_load_extension, 4},
+    confchk_WT_CONNECTION_load_extension, 4, 9, false},
   {"WT_CONNECTION.open_session",
     "cache_cursors=true,cache_max_wait_ms=0,"
     "debug=(release_evict_page=false),ignore_cache_size=false,"
     "isolation=snapshot",
-    confchk_WT_CONNECTION_open_session, 5},
-  {"WT_CONNECTION.query_timestamp", "get=all_durable", confchk_WT_CONNECTION_query_timestamp, 1},
+    confchk_WT_CONNECTION_open_session, 5, 10, false},
+  {"WT_CONNECTION.query_timestamp", "get=all_durable", confchk_WT_CONNECTION_query_timestamp, 1, 11,
+    false},
   {"WT_CONNECTION.reconfigure",
     "block_cache=(blkcache_eviction_aggression=1800,"
     "cache_on_checkpoint=true,cache_on_writes=true,enabled=false,"
@@ -1207,15 +1573,16 @@ static const WT_CONFIG_ENTRY config_entries[] = {{"WT_CONNECTION.add_collator",
     "tiered_manager=(threads_max=8,threads_min=1,wait=0),"
     "tiered_storage=(local_retention=300,object_target_size=10M),"
     "timing_stress_for_test=,verbose=[]",
-    confchk_WT_CONNECTION_reconfigure, 31},
-  {"WT_CONNECTION.rollback_to_stable", "", NULL, 0}, {"WT_CONNECTION.set_file_system", "", NULL, 0},
+    confchk_WT_CONNECTION_reconfigure, 31, 12, true},
+  {"WT_CONNECTION.rollback_to_stable", "", NULL, 0, 13, false},
+  {"WT_CONNECTION.set_file_system", "", NULL, 0, 14, false},
   {"WT_CONNECTION.set_timestamp",
     "durable_timestamp=,force=false,oldest_timestamp=,"
     "stable_timestamp=",
-    confchk_WT_CONNECTION_set_timestamp, 4},
-  {"WT_CURSOR.close", "", NULL, 0},
+    confchk_WT_CONNECTION_set_timestamp, 4, 15, false},
+  {"WT_CURSOR.close", "", NULL, 0, 16, false},
   {"WT_CURSOR.reconfigure", "append=false,overwrite=true,prefix_search=false",
-    confchk_WT_CURSOR_reconfigure, 3},
+    confchk_WT_CURSOR_reconfigure, 3, 17, false},
   {"WT_SESSION.alter",
     "access_pattern_hint=none,app_metadata=,"
     "assert=(commit_timestamp=none,durable_timestamp=none,"
@@ -1223,20 +1590,20 @@ static const WT_CONFIG_ENTRY config_entries[] = {{"WT_CONNECTION.add_collator",
     "checkpoint=,exclusive_refreshed=true,log=(enabled=true),"
     "os_cache_dirty_max=0,os_cache_max=0,readonly=false,"
     "tiered_object=false,verbose=[],write_timestamp_usage=none",
-    confchk_WT_SESSION_alter, 13},
+    confchk_WT_SESSION_alter, 13, 18, false},
   {"WT_SESSION.begin_transaction",
     "ignore_prepare=false,isolation=,name=,operation_timeout_ms=0,"
     "priority=0,read_before_oldest=false,read_timestamp=,"
     "roundup_timestamps=(prepared=false,read=false),sync=",
-    confchk_WT_SESSION_begin_transaction, 9},
+    confchk_WT_SESSION_begin_transaction, 9, 19, false},
   {"WT_SESSION.checkpoint", "drop=,force=false,name=,target=,use_timestamp=true",
-    confchk_WT_SESSION_checkpoint, 5},
-  {"WT_SESSION.close", "", NULL, 0},
+    confchk_WT_SESSION_checkpoint, 5, 20, false},
+  {"WT_SESSION.close", "", NULL, 0, 21, false},
   {"WT_SESSION.commit_transaction",
     "commit_timestamp=,durable_timestamp=,operation_timeout_ms=0,"
     "sync=",
-    confchk_WT_SESSION_commit_transaction, 4},
-  {"WT_SESSION.compact", "timeout=1200", confchk_WT_SESSION_compact, 1},
+    confchk_WT_SESSION_commit_transaction, 4, 22, false},
+  {"WT_SESSION.compact", "timeout=1200", confchk_WT_SESSION_compact, 1, 23, false},
   {"WT_SESSION.create",
     "access_pattern_hint=none,allocation_size=4KB,app_metadata=,"
     "assert=(commit_timestamp=none,durable_timestamp=none,"
@@ -1262,20 +1629,20 @@ static const WT_CONFIG_ENTRY config_entries[] = {{"WT_CONNECTION.add_collator",
     "bucket=,bucket_prefix=,cache_directory=,local_retention=300,"
     "name=,object_target_size=10M),type=file,value_format=u,"
     "verbose=[],write_timestamp_usage=none",
-    confchk_WT_SESSION_create, 50},
+    confchk_WT_SESSION_create, 50, 24, false},
   {"WT_SESSION.drop",
     "checkpoint_wait=true,force=false,lock_wait=true,"
     "remove_files=true",
-    confchk_WT_SESSION_drop, 4},
+    confchk_WT_SESSION_drop, 4, 25, false},
   {"WT_SESSION.flush_tier", "flush_timestamp=,force=false,lock_wait=true,sync=on,timeout=0",
-    confchk_WT_SESSION_flush_tier, 5},
+    confchk_WT_SESSION_flush_tier, 5, 26, false},
   {"WT_SESSION.join",
     "bloom_bit_count=16,bloom_false_positives=false,"
     "bloom_hash_count=8,compare=\"eq\",count=,operation=\"and\","
     "strategy=",
-    confchk_WT_SESSION_join, 7},
-  {"WT_SESSION.log_flush", "sync=on", confchk_WT_SESSION_log_flush, 1},
-  {"WT_SESSION.log_printf", "", NULL, 0},
+    confchk_WT_SESSION_join, 7, 27, false},
+  {"WT_SESSION.log_flush", "sync=on", confchk_WT_SESSION_log_flush, 1, 28, false},
+  {"WT_SESSION.log_printf", "", NULL, 0, 29, false},
   {"WT_SESSION.open_cursor",
     "append=false,bulk=false,checkpoint=,checkpoint_wait=true,"
     "debug=(dump_version=false,release_evict=false),dump=,"
@@ -1284,37 +1651,37 @@ static const WT_CONFIG_ENTRY config_entries[] = {{"WT_CONNECTION.add_collator",
     "next_random=false,next_random_sample_size=0,overwrite=true,"
     "prefix_search=false,raw=false,read_once=false,readonly=false,"
     "skip_sort_check=false,statistics=,target=",
-    confchk_WT_SESSION_open_cursor, 17},
+    confchk_WT_SESSION_open_cursor, 17, 30, true},
   {"WT_SESSION.prepare_transaction", "prepare_timestamp=", confchk_WT_SESSION_prepare_transaction,
-    1},
-  {"WT_SESSION.query_timestamp", "get=read", confchk_WT_SESSION_query_timestamp, 1},
+    1, 31, false},
+  {"WT_SESSION.query_timestamp", "get=read", confchk_WT_SESSION_query_timestamp, 1, 32, false},
   {"WT_SESSION.reconfigure",
     "cache_cursors=true,cache_max_wait_ms=0,"
     "debug=(release_evict_page=false),ignore_cache_size=false,"
     "isolation=snapshot",
-    confchk_WT_SESSION_reconfigure, 5},
-  {"WT_SESSION.rename", "", NULL, 0}, {"WT_SESSION.reset", "", NULL, 0},
-  {"WT_SESSION.reset_snapshot", "", NULL, 0},
+    confchk_WT_SESSION_reconfigure, 5, 33, false},
+  {"WT_SESSION.rename", "", NULL, 0, 34, false}, {"WT_SESSION.reset", "", NULL, 0, 35, false},
+  {"WT_SESSION.reset_snapshot", "", NULL, 0, 36, false},
   {"WT_SESSION.rollback_transaction", "operation_timeout_ms=0",
-    confchk_WT_SESSION_rollback_transaction, 1},
-  {"WT_SESSION.salvage", "force=false", confchk_WT_SESSION_salvage, 1},
-  {"WT_SESSION.strerror", "", NULL, 0},
+    confchk_WT_SESSION_rollback_transaction, 1, 37, false},
+  {"WT_SESSION.salvage", "force=false", confchk_WT_SESSION_salvage, 1, 38, false},
+  {"WT_SESSION.strerror", "", NULL, 0, 39, false},
   {"WT_SESSION.timestamp_transaction",
     "commit_timestamp=,durable_timestamp=,prepare_timestamp=,"
     "read_timestamp=",
-    confchk_WT_SESSION_timestamp_transaction, 4},
-  {"WT_SESSION.truncate", "", NULL, 0}, {"WT_SESSION.upgrade", "", NULL, 0},
+    confchk_WT_SESSION_timestamp_transaction, 4, 40, true},
+  {"WT_SESSION.truncate", "", NULL, 0, 41, false}, {"WT_SESSION.upgrade", "", NULL, 0, 42, false},
   {"WT_SESSION.verify",
     "dump_address=false,dump_blocks=false,dump_layout=false,"
     "dump_offsets=,dump_pages=false,stable_timestamp=false,"
     "strict=false",
-    confchk_WT_SESSION_verify, 7},
+    confchk_WT_SESSION_verify, 7, 43, false},
   {"colgroup.meta",
     "app_metadata=,assert=(commit_timestamp=none,"
     "durable_timestamp=none,read_timestamp=none,write_timestamp=off),"
     "collator=,columns=,source=,type=file,verbose=[],"
     "write_timestamp_usage=none",
-    confchk_colgroup_meta, 8},
+    confchk_colgroup_meta, 8, 44, false},
   {"file.config",
     "access_pattern_hint=none,allocation_size=4KB,app_metadata=,"
     "assert=(commit_timestamp=none,durable_timestamp=none,"
@@ -1333,7 +1700,7 @@ static const WT_CONFIG_ENTRY config_entries[] = {{"WT_CONNECTION.add_collator",
     "bucket_prefix=,cache_directory=,local_retention=300,name=,"
     "object_target_size=10M),value_format=u,verbose=[],"
     "write_timestamp_usage=none",
-    confchk_file_config, 42},
+    confchk_file_config, 42, 45, false},
   {"file.meta",
     "access_pattern_hint=none,allocation_size=4KB,app_metadata=,"
     "assert=(commit_timestamp=none,durable_timestamp=none,"
@@ -1354,14 +1721,14 @@ static const WT_CONFIG_ENTRY config_entries[] = {{"WT_CONNECTION.add_collator",
     "cache_directory=,local_retention=300,name=,"
     "object_target_size=10M),value_format=u,verbose=[],"
     "version=(major=0,minor=0),write_timestamp_usage=none",
-    confchk_file_meta, 47},
+    confchk_file_meta, 47, 46, false},
   {"index.meta",
     "app_metadata=,assert=(commit_timestamp=none,"
     "durable_timestamp=none,read_timestamp=none,write_timestamp=off),"
     "collator=,columns=,extractor=,immutable=false,index_key_columns="
     ",key_format=u,source=,type=file,value_format=u,verbose=[],"
     "write_timestamp_usage=none",
-    confchk_index_meta, 13},
+    confchk_index_meta, 13, 47, false},
   {"lsm.meta",
     "access_pattern_hint=none,allocation_size=4KB,app_metadata=,"
     "assert=(commit_timestamp=none,durable_timestamp=none,"
@@ -1386,7 +1753,7 @@ static const WT_CONFIG_ENTRY config_entries[] = {{"WT_CONNECTION.add_collator",
     "cache_directory=,local_retention=300,name=,"
     "object_target_size=10M),value_format=u,verbose=[],"
     "write_timestamp_usage=none",
-    confchk_lsm_meta, 46},
+    confchk_lsm_meta, 46, 48, false},
   {"object.meta",
     "access_pattern_hint=none,allocation_size=4KB,app_metadata=,"
     "assert=(commit_timestamp=none,durable_timestamp=none,"
@@ -1407,13 +1774,13 @@ static const WT_CONFIG_ENTRY config_entries[] = {{"WT_CONNECTION.add_collator",
     "cache_directory=,local_retention=300,name=,"
     "object_target_size=10M),value_format=u,verbose=[],"
     "version=(major=0,minor=0),write_timestamp_usage=none",
-    confchk_object_meta, 49},
+    confchk_object_meta, 49, 49, false},
   {"table.meta",
     "app_metadata=,assert=(commit_timestamp=none,"
     "durable_timestamp=none,read_timestamp=none,write_timestamp=off),"
     "colgroups=,collator=,columns=,key_format=u,value_format=u,"
     "verbose=[],write_timestamp_usage=none",
-    confchk_table_meta, 9},
+    confchk_table_meta, 9, 50, false},
   {"tier.meta",
     "access_pattern_hint=none,allocation_size=4KB,app_metadata=,"
     "assert=(commit_timestamp=none,durable_timestamp=none,"
@@ -1434,7 +1801,7 @@ static const WT_CONFIG_ENTRY config_entries[] = {{"WT_CONNECTION.add_collator",
     "bucket_prefix=,cache_directory=,local_retention=300,name=,"
     "object_target_size=10M),value_format=u,verbose=[],"
     "version=(major=0,minor=0),write_timestamp_usage=none",
-    confchk_tier_meta, 50},
+    confchk_tier_meta, 50, 51, false},
   {"tiered.meta",
     "access_pattern_hint=none,allocation_size=4KB,app_metadata=,"
     "assert=(commit_timestamp=none,durable_timestamp=none,"
@@ -1455,7 +1822,7 @@ static const WT_CONFIG_ENTRY config_entries[] = {{"WT_CONNECTION.add_collator",
     "bucket=,bucket_prefix=,cache_directory=,local_retention=300,"
     "name=,object_target_size=10M),tiers=,value_format=u,verbose=[],"
     "version=(major=0,minor=0),write_timestamp_usage=none",
-    confchk_tiered_meta, 52},
+    confchk_tiered_meta, 52, 52, false},
   {"wiredtiger_open",
     "block_cache=(blkcache_eviction_aggression=1800,"
     "cache_on_checkpoint=true,cache_on_writes=true,enabled=false,"
@@ -1465,13 +1832,14 @@ static const WT_CONFIG_ENTRY config_entries[] = {{"WT_CONNECTION.add_collator",
     ",cache_max_wait_ms=0,cache_overhead=8,cache_size=100MB,"
     "checkpoint=(log_size=0,wait=0),checkpoint_sync=true,"
     "compatibility=(release=,require_max=,require_min=),"
-    "config_base=true,create=false,debug_mode=(checkpoint_retention=0"
-    ",corruption_abort=true,cursor_copy=false,eviction=false,"
-    "log_retention=0,realloc_exact=false,rollback_error=0,"
-    "slow_checkpoint=false,table_logging=false,"
-    "update_restore_evict=false),direct_io=,encryption=(keyid=,name=,"
-    "secretkey=),error_prefix=,eviction=(threads_max=8,threads_min=1)"
-    ",eviction_checkpoint_target=1,eviction_dirty_target=5,"
+    "compile_configuration_count=100,config_base=true,create=false,"
+    "debug_mode=(checkpoint_retention=0,corruption_abort=true,"
+    "cursor_copy=false,eviction=false,log_retention=0,"
+    "realloc_exact=false,rollback_error=0,slow_checkpoint=false,"
+    "table_logging=false,update_restore_evict=false),direct_io=,"
+    "encryption=(keyid=,name=,secretkey=),error_prefix=,"
+    "eviction=(threads_max=8,threads_min=1),"
+    "eviction_checkpoint_target=1,eviction_dirty_target=5,"
     "eviction_dirty_trigger=20,eviction_target=80,eviction_trigger=95"
     ",eviction_updates_target=0,eviction_updates_trigger=0,"
     "exclusive=false,extensions=,file_close_sync=true,file_extend=,"
@@ -1495,7 +1863,7 @@ static const WT_CONFIG_ENTRY config_entries[] = {{"WT_CONNECTION.add_collator",
     "transaction_sync=(enabled=false,method=fsync),"
     "use_environment=true,use_environment_priv=false,verbose=[],"
     "verify_metadata=false,write_through=",
-    confchk_wiredtiger_open, 59},
+    confchk_wiredtiger_open, 60, 53, false},
   {"wiredtiger_open_all",
     "block_cache=(blkcache_eviction_aggression=1800,"
     "cache_on_checkpoint=true,cache_on_writes=true,enabled=false,"
@@ -1505,13 +1873,14 @@ static const WT_CONFIG_ENTRY config_entries[] = {{"WT_CONNECTION.add_collator",
     ",cache_max_wait_ms=0,cache_overhead=8,cache_size=100MB,"
     "checkpoint=(log_size=0,wait=0),checkpoint_sync=true,"
     "compatibility=(release=,require_max=,require_min=),"
-    "config_base=true,create=false,debug_mode=(checkpoint_retention=0"
-    ",corruption_abort=true,cursor_copy=false,eviction=false,"
-    "log_retention=0,realloc_exact=false,rollback_error=0,"
-    "slow_checkpoint=false,table_logging=false,"
-    "update_restore_evict=false),direct_io=,encryption=(keyid=,name=,"
-    "secretkey=),error_prefix=,eviction=(threads_max=8,threads_min=1)"
-    ",eviction_checkpoint_target=1,eviction_dirty_target=5,"
+    "compile_configuration_count=100,config_base=true,create=false,"
+    "debug_mode=(checkpoint_retention=0,corruption_abort=true,"
+    "cursor_copy=false,eviction=false,log_retention=0,"
+    "realloc_exact=false,rollback_error=0,slow_checkpoint=false,"
+    "table_logging=false,update_restore_evict=false),direct_io=,"
+    "encryption=(keyid=,name=,secretkey=),error_prefix=,"
+    "eviction=(threads_max=8,threads_min=1),"
+    "eviction_checkpoint_target=1,eviction_dirty_target=5,"
     "eviction_dirty_trigger=20,eviction_target=80,eviction_trigger=95"
     ",eviction_updates_target=0,eviction_updates_trigger=0,"
     "exclusive=false,extensions=,file_close_sync=true,file_extend=,"
@@ -1535,7 +1904,7 @@ static const WT_CONFIG_ENTRY config_entries[] = {{"WT_CONNECTION.add_collator",
     "transaction_sync=(enabled=false,method=fsync),"
     "use_environment=true,use_environment_priv=false,verbose=[],"
     "verify_metadata=false,version=(major=0,minor=0),write_through=",
-    confchk_wiredtiger_open_all, 60},
+    confchk_wiredtiger_open_all, 61, 54, false},
   {"wiredtiger_open_basecfg",
     "block_cache=(blkcache_eviction_aggression=1800,"
     "cache_on_checkpoint=true,cache_on_writes=true,enabled=false,"
@@ -1545,6 +1914,7 @@ static const WT_CONFIG_ENTRY config_entries[] = {{"WT_CONNECTION.add_collator",
     ",cache_max_wait_ms=0,cache_overhead=8,cache_size=100MB,"
     "checkpoint=(log_size=0,wait=0),checkpoint_sync=true,"
     "compatibility=(release=,require_max=,require_min=),"
+    "compile_configuration_count=100,"
     "debug_mode=(checkpoint_retention=0,corruption_abort=true,"
     "cursor_copy=false,eviction=false,log_retention=0,"
     "realloc_exact=false,rollback_error=0,slow_checkpoint=false,"
@@ -1574,7 +1944,7 @@ static const WT_CONFIG_ENTRY config_entries[] = {{"WT_CONNECTION.add_collator",
     "object_target_size=10M),timing_stress_for_test=,"
     "transaction_sync=(enabled=false,method=fsync),verbose=[],"
     "verify_metadata=false,version=(major=0,minor=0),write_through=",
-    confchk_wiredtiger_open_basecfg, 54},
+    confchk_wiredtiger_open_basecfg, 55, 55, false},
   {"wiredtiger_open_usercfg",
     "block_cache=(blkcache_eviction_aggression=1800,"
     "cache_on_checkpoint=true,cache_on_writes=true,enabled=false,"
@@ -1584,6 +1954,7 @@ static const WT_CONFIG_ENTRY config_entries[] = {{"WT_CONNECTION.add_collator",
     ",cache_max_wait_ms=0,cache_overhead=8,cache_size=100MB,"
     "checkpoint=(log_size=0,wait=0),checkpoint_sync=true,"
     "compatibility=(release=,require_max=,require_min=),"
+    "compile_configuration_count=100,"
     "debug_mode=(checkpoint_retention=0,corruption_abort=true,"
     "cursor_copy=false,eviction=false,log_retention=0,"
     "realloc_exact=false,rollback_error=0,slow_checkpoint=false,"
@@ -1613,8 +1984,8 @@ static const WT_CONFIG_ENTRY config_entries[] = {{"WT_CONNECTION.add_collator",
     "object_target_size=10M),timing_stress_for_test=,"
     "transaction_sync=(enabled=false,method=fsync),verbose=[],"
     "verify_metadata=false,write_through=",
-    confchk_wiredtiger_open_usercfg, 53},
-  {NULL, NULL, NULL, 0}};
+    confchk_wiredtiger_open_usercfg, 54, 56, false},
+  {NULL, NULL, NULL, 0, 0, false}};
 
 int
 __wt_conn_config_init(WT_SESSION_IMPL *session)
